package com.ruoyi.project.training.elearn.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 试题对象 t_el_qu
 *
 * @author ssy
 * @date 2024-05-28
 */
public class TElQu extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long quId;

    /** 题目类型 */
    @Excel(name = "题目类型")
    private Long quType;

    /** 等级 */
    @Excel(name = "等级")
    private Long qlevel;

    /** 题目内容 */
    @Excel(name = "题目内容")
    private String content;

    /** 照片 */
    @Excel(name = "照片")
    private String image;

    /** 解析 */
    @Excel(name = "解析")
    private String analysis;

    /** 删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 所属部门 */
    @Excel(name = "所属部门")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    private List<TElQuAnswer> answerList;
    private List<String> repoIds;

    public void setQuId(Long quId)
    {
        this.quId = quId;
    }

    public Long getQuId()
    {
        return quId;
    }
    public void setQuType(Long quType)
    {
        this.quType = quType;
    }

    public Long getQuType()
    {
        return quType;
    }

    public Long getQlevel() {
        return qlevel;
    }

    public void setQlevel(Long qlevel) {
        this.qlevel = qlevel;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setImage(String image)
    {
        this.image = image;
    }

    public String getImage()
    {
        return image;
    }
    public void setAnalysis(String analysis)
    {
        this.analysis = analysis;
    }

    public String getAnalysis()
    {
        return analysis;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public List<TElQuAnswer> getAnswerList() {
        return answerList;
    }

    public void setAnswerList(List<TElQuAnswer> answerList) {
        this.answerList = answerList;
    }

    public List<String> getRepoIds() {
        return repoIds;
    }

    public void setRepoIds(List<String> repoIds) {
        this.repoIds = repoIds;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("quId", getQuId())
            .append("quType", getQuType())
            .append("content", getContent())
            .append("image", getImage())
            .append("analysis", getAnalysis())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
